unit ActivePanel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  TActivePanel = class(TPanel)
  private
    procedure OnMouse(var Msg: tagMsg); message CM_MOUSEENTER;
    procedure OnMouseExit(var Msg: tagMsg); message CM_MOUSELEAVE;
    { Private declarations }
  protected
    { Protected declarations }
  public
    constructor Create(AOwner: TComponent); override;
    { Public declarations }
  published
    { Published declarations }
  end;

procedure Register;

implementation

constructor TActivePanel.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  BevelOuter := bvLowered;
end;

procedure TActivePanel.OnMouseExit(var Msg: tagMsg);
begin
  BevelInner := bvNone;
end;

procedure TActivePanel.OnMouse(var Msg: tagMsg);
begin
  BevelInner := bvLowered;
end;

procedure Register;
begin
  RegisterComponents('Samples', [TActivePanel]);
end;

end.
